package cn.hmsoft.ltc.model;

import javafx.beans.property.IntegerProperty;
import javafx.beans.property.SimpleIntegerProperty;
import javafx.beans.property.SimpleStringProperty;
import javafx.beans.property.StringProperty;
import javafx.scene.control.TextField;

/**
 * 题目选项
 * 
 * @author xuwenjin
 * @date 2019-03-26 16:09:46
 *
 */
public class SubjectOption {

	private IntegerProperty subjectOptionId;// 题目选项唯一编号

	private IntegerProperty subjectId;// 题目编号

	private StringProperty subjectOptionNo;// 选项code，如：A,B,C

	private StringProperty subjectOptionContent;// 选项内容

	private transient TextField textField = new TextField();
	
	//其他字段
	protected String remark;
	
	public SubjectOption() {
		this.subjectOptionId = new SimpleIntegerProperty();
		this.subjectId = new SimpleIntegerProperty();
		this.subjectOptionNo = new SimpleStringProperty();
		this.subjectOptionContent = new SimpleStringProperty();
	}
	
	public Integer getSubjectOptionId() {
		return subjectOptionId.get();
	}

	public void setSubjectOptionId(Integer subjectOptionId) {
		this.subjectOptionId.set(subjectOptionId);
	}

	public Integer getSubjectId() {
		return subjectId.get();
	}

	public void setSubjectId(Integer subjectId) {
		this.subjectId.set(subjectId);
	}

	public String getSubjectOptionNo() {
		return subjectOptionNo.get();
	}

	public void setSubjectOptionNo(String subjectOptionNo) {
		this.subjectOptionNo.set(subjectOptionNo);
	}

	public String getSubjectOptionContent() {
		return subjectOptionContent.get();
	}

	public void setSubjectOptionContent(String subjectOptionContent) {
		this.subjectOptionContent.set(subjectOptionContent);
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public TextField getTextField() {
		return textField;
	}

	public void setTextField(TextField textField) {
		this.textField = textField;
	}

}
